extends KinematicBody2D

export (int) var speed = 200
export (int) var speedBoost = 100

var velocity = Vector2()

func get_input():
	velocity = Vector2()
	if Input.is_action_pressed("right"):
		velocity.x += 1
	if Input.is_action_pressed("left"):
		velocity.x -= 1
	if Input.is_action_pressed("down"):
		velocity.y += 1
	if Input.is_action_pressed("up"):
		velocity.y -= 1
	if Input.is_action_pressed("run"):
		speedBoost = 100
	if !Input.is_action_pressed("run"):
		speedBoost = 0
	velocity = velocity.normalized() * (speed + speedBoost)

func _physics_process(_delta):
	get_input()
	velocity = move_and_slide(velocity)
	
func _ready():
	print(position)
